Actions

Difference between revisions of "What version of Joomla! should you use?"

From Joomla! Documentation

m (big update to page)
m (another update)
(3 intermediate revisions by the same user not shown)
Line 2: Line 2:
 
{{:Joomla! CMS versions}}
 
{{:Joomla! CMS versions}}
  
==Recommendations==
+
==Included External Libraries==
* Make sure you '''subscribe to the [http://feeds.joomla.org/JoomlaSecurityNews Joomla! Security Announcements] feed'''. This RSS feed is used to make announcements, including the availability of new releases, that could affect the security of your site. You have the option to subscribe to this feed by RSS or email.
+
{{:External Libraries in Joomla}}
* If you are running an earlier release of the current version (for example, you are running 2.5.1 and the current version is 2.5.6), you should upgrade to the current version. Each minor release fixes a number of bugs and/or security issues. It is always good practice to upgrade to the latest maintenance version as a first step in troubleshooting a problem and fixing any newly discovered security issues.
+
  
 
==Joomla! versions explained==
 
==Joomla! versions explained==
 
{{:Release_and_support_cycle}}
 
{{:Release_and_support_cycle}}
 
==External Libraries==
 
{{:External Libraries in Joomla}}
 
  
 
==References and Notes==
 
==References and Notes==
Line 23: Line 19:
 
[[Category:Version 3.0 FAQ]]
 
[[Category:Version 3.0 FAQ]]
 
[[Category:Version 3.1 FAQ]]
 
[[Category:Version 3.1 FAQ]]
[[Category:Getting Started FAQ]]</noinclude>
+
[[Category:Getting Started FAQ]]
 +
[[Category:Joomla! versions]]
 +
</noinclude>

Revision as of 02:03, 29 June 2013

<translate> Check for the latest Joomla! CMS version. If you are not on the latest release, read the release notes to see if you need to upgrade. If a release is being made in order to address security issues then it is strongly advised that you upgrade as soon as possible. You can see the release history of each series in the table below. Click the version history link in the notes column to find details on exact release date, release notes and package and MD5s.</translate>

<translate>

  • Normally, you should use the latest version of Joomla! for a new site unless you have a specific reason not to.</translate>

<translate>

<translate>

  • Make sure you subscribe to the Joomla! Security Announcements feed. This RSS feed is used to make announcements, including the availability of new releases, that could affect the security of your site. You have the option to subscribe to this feed by RSS or email.</translate>

<translate>

  • If you are running an earlier release of the current version (for example, you are running 2.5.1 and the current version is 2.5.6), you should upgrade to the current version. Each minor release fixes a number of bugs and/or security issues. It is always good practice to upgrade to the latest maintenance version as a first step in troubleshooting a problem and fixing any newly discovered security issues.</translate>

<translate>

Joomla! CMS versions

</translate>

<translate>

CMS Version</translate>

<translate>

Available</translate>

<translate>

Support</translate>

<translate>

End of Life</translate>

<translate>

Upgrade Type</translate>

<translate>

Notes</translate>

<translate>

Latest Release</translate>

<translate>

Bugs</translate>

<translate>

Security</translate>

1.5
X-mark.png
X-mark.png
X-mark.png
<translate>

Sept 2012</translate>

<translate>

Migration to 2.5</translate>

<translate>

Plan to migrate to 2.5 now
Joomla 1.5 version history</translate>

<translate>

EOL at 1.5.26</translate>

1.6
X-mark.png
X-mark.png
X-mark.png
<translate>

Aug 2011</translate>

<translate>

One-click to 2.5</translate>

<translate>

Upgrade to 2.5 now
Joomla 1.6 version history</translate>

1.6.6
1.7
X-mark.png
X-mark.png
X-mark.png
<translate>

Feb 2012</translate>

<translate>

One-click to 2.5</translate>

<translate>

Upgrade to 2.5 now
Joomla 1.7 version history</translate>

1.7.5
2.5
X-mark.png
X-mark.png
X-mark.png
<translate>

December 31st, 2014</translate>

<translate>

One-click to 3.x</translate>

<translate>

Upgrade to</translate> 3.4.1 <translate> now</translate>
<translate> Joomla 2.5 version history</translate>

2.5.28
3.0
X-mark.png
X-mark.png
X-mark.png
<translate>

May 2013</translate>

<translate>

One-click to 3.1</translate>

<translate>

You should use the one click upgrade
Joomla 3.0 version history</translate>

3.0.4
3.1
X-mark.png
X-mark.png
X-mark.png
<translate>

Dec 2013</translate>

<translate>

One-click to 3.2</translate>

<translate>

You should use the one click upgrade</translate>
<translate> Joomla 3.1 version history</translate>

3.1.6
3.2
X-mark.png
X-mark.png
X-mark.png
<translate>

Oct 2014[1]</translate>

<translate>

One-click to 3.3</translate>

<translate>

You should upgrade your server's PHP to 5.3.10 or greater and upgrade to 3.3
Joomla 3.2 version history</translate>

3.2.7
3.3
X-mark.png
X-mark.png
X-mark.png
<translate>

3.4 release</translate>

<translate>

One-click</translate>

<translate>

You should use the one click upgrade</translate>
<translate> Joomla 3.3 version history</translate>

3.3.6
3.4
Checkmark.png
Checkmark.png
Checkmark.png
<translate>

3.5 release</translate>

<translate>

One-click</translate>

<translate>

Recommended for all new installs
Joomla 3.4 version history</translate>

3.4.1
3.5[2] <translate>

2nd Quarter 2015[2][3]</translate>

- - <translate>

3.6 release</translate>

<translate>

One-click</translate>

... ... ... ... ... ... ... ...
3.11[2] <translate>

(Autumn 2015)</translate>[2][3]

- - ≥ <translate>

Oct 2017</translate>[2]

<translate>

One-click</translate>

<translate>

Estimated EOL and last minor release on Joomla 3's roadmap</translate>

4.0 <translate>

2016</translate>[3]

- -


Included External Libraries

<translate> A Joomla! installation contain external libraries which are included with Joomla! CMS version releases. These external libraries are not part of the core code. Please read the Notes section as they may contain more information, such as a external library version change released with a maintenance release. </translate>

<translate>

External Libraries by Joomla Release

</translate>

<translate>

CMS Version</translate>

<translate>

CMS Version Supported</translate>

<translate>

Mootools</translate>

<translate>

Mootools More</translate>

<translate>

jQuery</translate>

<translate>

jQuery UI</translate>
<translate> (Core, Widget, Mouse, Position, and Sortable)</translate>

<translate>

Bootstrap</translate>

<translate>

Simple Pie</translate>

<translate>

PHP Mailer</translate>

<translate>

PHP UTF-8</translate>

<translate>

IDNA Convert</translate>

<translate>

Rapid Application Development (RAD) Framework</translate>
<translate> Akeeba's Framework on Framework(FOF)</translate>

<translate>

password_compat[4]

2.5
X-mark.png
1.4.5[5] 1.4.0.1 <translate>

N/A[6]</translate>

<translate>

N/A</translate>[6]

<translate>

N/A</translate>[6]

1.2 5.2.1 0.5 <translate>

N/A</translate>[6]

<translate>

N/A[7]</translate>

<translate>

N/A[8]</translate>

3.0
X-mark.png
1.4.5 1.4.0.1 1.8.1 1.8.23 2.1.0 1.2 5.2.1 0.5 <translate>

N/A[9]</translate>

<translate>

N/A[7]</translate>

<translate>

N/A[8]</translate>

3.1
X-mark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.1.0 <translate>

1.2[10]</translate>

5.2.3 0.5 <translate>

N/A[9]</translate>

<translate>

N/A[7]</translate>

<translate>

N/A[8]</translate>

3.1.2
X-mark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.3.2<translate>

[11]</translate>

1.2[10] 5.2.6 0.5 0.8.0 N/A[7] N/A[8]
3.2
X-mark.png
1.4.5 1.4.0.1 1.10.2<translate>

[12]</translate>

1.9.2 2.3.2[11] 1.2[10] 5.2.6 0.5 0.8.0 2.1 1.0.3
3.3
X-mark.png
1.4.5 1.4.0.1 1.11.1[12] 1.9.2 2.3.2[11] 1.2[10] 5.2.8 0.5 0.8.0 2.1 1.0.3
3.4
Checkmark.png
1.4.5 1.4.0.1 1.11.2[12] 1.9.2 2.3.2[11] 1.2[10] 5.2.9 0.5 0.8.0 2.4.1 1.0.4


Joomla! versions explained

Joomla! 
3.4.1
<translate> Stable Version</translate>

<translate> This page provides a summary of the current development strategy published on 25 April 2014. All Joomla versions released before 25 April 2014 have been developed according to previous release and support cycle. You should read the full text of the Joomla development strategy for a more detailed explanation. </translate>

<translate> Joomla! is developed following Semantic Versioning (2.0.0). The use of LTS (Long Term Support) and STS (Short Term Support) is no longer relevant or observed. The terms found directly below will be used for clarity. You should understand these terms and their meanings. </translate>

<translate>

  • supported - latest minor version(s) of a major version will receive patches which will include bug and security fixes
  • current - the youngest or 'latest' major.x.x officially released version
  • legacy - any major.minor.patch version(s) which are not the current version[13]
  • stable - major version ready for use in a production environment implied with current and legacy[14]
  • EOS - an acronym for 'end of support' which indicates no further patches will be released for bugs or security fixes
  • EOL - an acronym for 'end of life' which indicates the same meaning as EOS[15]

</translate>

<translate> Each major version of Joomla! is supported by The Joomla! ProjectTM for a limited amount of time, begenning from the initial date of its official release. Joomla will actively develop each major version for a minimum of 2 years. This may be followed by continued development of a major version as per scheduled on a major version's roadmap.[16] A short summary would be: </translate>

<translate>

  • each major version will have a minimum of 4 years of support
  • you should always use or update to the latest major version's minor.patch
  • each minor version update released is backwards compatible with the previous minor version of the same major version[17]

</translate>

<translate> Please use the Joomla! CMS Development Roadmap or the Joomla! CMS versions chart to determine the estimated EOS (end of support) for each major.minor version(s) or the entire major version. </translate>

<translate>

Version Numbering Explained

The version identifiers for Joomla follow a three level numerical convention where the levels are defined by the software change significance. </translate>

[major].[minor].[patch]

<translate> These 3 levels are defined as:

  1. An increment in the major version identifier indicates a break in backward compatibility.
  2. An increment in the minor version identifier indicates the addition of new features or a significant change to existing features.
  3. An increment in the patch version identifier indicates that bugs have been fixed.

</translate>

<translate>

Examples

You are using Joomla version 3.3.6. This means your version is major version 3, minor version 3, patch version 6. If a patch is released for 3.3.6, it would increase your Joomla version to 3.3.7. If a new minor version for major version 3 is released, your new Joomla version would become 3.4.0. This page will always show the current stable supported version of Joomla, including the minor and patch, in the top right corner. </translate>


References and Notes

  1. Bug fixes will cease April 2014, security fixes only, see http://community.joomla.org/blogs/leadership/1798-raising-the-bar-on-security.html.

    "Also, for the six months after Joomla! 3.3 is released, the Joomla! Project will be releasing Security Updates for both 3.2 AND 3.3 (as well as 2.5) so any new vulnerabilities can be promptly patched with a one-click update without the need to immediately update to Joomla! 3.3, giving you time to request your hosting provider to update their PHP version."

  2. 2.0 2.1 2.2 2.3 2.4 <translate> See J3's roadmap for time frames of all future releases of all Joomla! 3 versions.</translate>
  3. 3.0 3.1 3.2 Please note that dates may be subject to change depending on availability of volunteers and circumstances beyond the PLT's control.
  4. This library is intended to provide forward compatibility with the password_* functions which were added to PHP 5.5. See password_compat git for further information.</translate>
  5. <translate> Contains a 1.2 compatibility layer</translate>
  6. 6.0 6.1 6.2 6.3 Not applicable, this library was not included with Joomla! CMS version 2.5.
  7. 7.0 7.1 7.2 7.3 Not applicable, this library was not included with the Joomla! CMS prior to version 3.2. The version of FOF included in Joomla 3.2 is compatible with Joomla 2.5 however.
  8. 8.0 8.1 8.2 8.3 Not applicable, this library was not included with the Joomla! CMS prior to version 3.2
  9. 9.0 9.1 Not applicable, this library was not included with the Joomla! CMS prior to version 3.1.2.
  10. 10.0 10.1 10.2 10.3 10.4 This library was deprecated for JFeedFactory in Joomla! CMS version 3.1.0
  11. 11.0 11.1 11.2 11.3 Contains some 2.1 backward compatibility defaults
  12. 12.0 12.1 12.2 Includes jQuery Migrate plugin 1.2.1 for backwards compatibility
  13. Note, legacy is a term used to only designate the status of a version in relation to the current version. Users and developers should pay close attention to the EOS date(s) to determine the viability of legacy version use or continued use.
  14. Version(s) marked with alpha, beta or rc (release candidate) should be used for testing only.
  15. EOS may be used interchangeably with EOL. Either term indicates the 'end of support' and nothing more. Do not confuse 'EOL' to mean the software will cease to work.
  16. The full explanation of supported releases can be found under the heading 4.3 Supported releases on the Joomla Development Strategy document.
  17. An extension or template installed on major.0.x version will work on major.7.x version. Extension or template are created by a 3rd party developer and their updates are the responsibility of each developer to publish. The installation of extension or template updates are the responsibility of the user.